Skip to content

upsertDepartment

WRITE

Upsert department.

POST /api/v1/people/upsertDepartment
curl -X POST '<your-host>/api/v1/people/upsertDepartment' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "id": "string",
  "name": "string",
  "parentDepartmentId": "string",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "parentDepartmentId": {
      "type": "string"
    },
    "customFields": {},
    "id": {
      "type": "string"
    }
  },
  "required": [
    "name"
  ]
}